package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zkplus.spring.SpringUtil;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ConexionExcepcion;
import com.rjconsultores.ventaboletos.entidad.Corrida;
import com.rjconsultores.ventaboletos.service.CorridaService;

public class RenderConexionExcepcion implements ListitemRenderer {

	private CorridaService corridaService = (CorridaService) SpringUtil.getBean("corridaService");

	public void render(Listitem lstm, Object o) throws Exception {

		ConexionExcepcion conexionExcepcion = (ConexionExcepcion) o;
		Corrida corrida = null;
		try {
			corrida = corridaService.buscarPorId(conexionExcepcion.getNumcorrida()).iterator().next();

		} catch (Exception e) {
			e.printStackTrace();
		}

		if (corrida != null) {
			Listcell lc = new Listcell(corrida.getId().getCorridaId().toString());
			lc.setParent(lstm);

			lc = new Listcell(corrida.getOrigem().getDescparada());
			lc.setParent(lstm);

			lc = new Listcell(corrida.getDestino().getDescparada());
			lc.setParent(lstm);
		}
	}

}
